Last Comment Bug 807699 - Sanitize dialog ("Clear Recent History") cleanup: unused strings
: Sanitize dialog ("Clear Recent History") cleanup: unused strings
Status: RESOLVED FIXED
:
Product: Thunderbird
Classification: Client Software
Component: Mail Window Front End (show other bugs)
: 17 Branch
: x86 Windows XP
: -- minor (vote)
: Thunderbird 23.0
Assigned To: :Cykesiopka
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-11-01 09:30 PDT by Sebastian H. [:aryx][:archaeopteryx]
Modified: 2013-05-09 16:54 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---


Attachments
Proposed Part 1: String Removal v1 (2.87 KB, patch)
2013-05-02 19:37 PDT, :Cykesiopka
standard8: review+
Details | Diff | Review
Patch for check in (2.89 KB, patch)
2013-05-08 15:23 PDT, :Cykesiopka
no flags Details | Diff | Review

Description Sebastian H. [:aryx][:archaeopteryx] 2012-11-01 09:30:21 PDT
Thunderbird 17.0 Beta (buildid 20121030125442) on Windows XP SP3 32 bit

The "Clear Recent History" menu item in the "Tools" menu launches a dialog.

There are some issues which are small and can all be fixed in one patch:

1. The accesskeys and the listbox don't work, either make me them work or remove them: http://hg.mozilla.org/releases/comm-beta/diff/76efc33d143a/mail/base/content/sanitize.xul

2. There are unused strings, use them or remove them:

<!ENTITY sanitizePrefs2.title          "Settings for Clearing History">

<!ENTITY sanitizeItems.label "Clear the following items now:"> (this one is also not used in /browser/)
<!ENTITY clearDataSettings2.label "When I quit &brandShortName;, it should automatically clear all:">

<!ENTITY clearTimeDuration.dateColumn "Visit Date">
<!ENTITY clearTimeDuration.nameColumn "Name">

<!ENTITY historySection.label         "History">
<!ENTITY dataSection.label            "Data">
Comment 1 Wayne Mery (:wsmwk, NI for questions) 2012-11-02 15:03:16 PDT
perhaps a different bug, but does this really even deserve to be in a thunderbird menu?
Comment 2 :Cykesiopka 2013-05-02 19:37:44 PDT
Created attachment 744972 [details] [diff] [review]
Proposed Part 1: String Removal v1

I have no idea what to do about the listbox or the access keys, so just the string removal part for now...
Comment 3 Mark Banner (:standard8) 2013-05-08 02:20:00 PDT
(In reply to Wayne Mery (:wsmwk) from comment #1)
> perhaps a different bug, but does this really even deserve to be in a
> thunderbird menu?

Yes, it was a requirement from the privacy folks/review.
Comment 4 Mark Banner (:standard8) 2013-05-08 02:52:41 PDT
Comment on attachment 744972 [details] [diff] [review]
Proposed Part 1: String Removal v1

Looks great, r=Standard8.

At a quick glance, I don't see why the access keys wouldn't work and Firefox has the same issue as well. I suggest we file a core bug on the access keys issue, and close this one (once the patch has landed) as the removing unused strings.
Comment 5 :Cykesiopka 2013-05-08 15:23:06 PDT
Created attachment 747157 [details] [diff] [review]
Patch for check in

I changed the commit message so it doesn't mention "Part 1" anymore, as this bug is now only about the string removal.
Comment 6 Ryan VanderMeulen [:RyanVM] 2013-05-09 04:34:37 PDT
https://hg.mozilla.org/comm-central/rev/d7c72b841e66
Comment 7 :Cykesiopka 2013-05-09 16:54:03 PDT
(In reply to Mark Banner (:standard8) from comment #4)
> I suggest we file a core bug on the access keys issue

I filed Bug 870615 for this.

Note You need to log in before you can comment on or make changes to this bug.